(function(){

  unLoadChapterList = true;
  //加载正文、更新章节标示

  var FrontPageAPI ={
    loadChapter:function(json){
      if(json.status==200){
        preChapter = json.preChapter;
        nextChapter = json.nextChapter;
        content = json.novelContent;
        height = json.height||0;
        if (json.extra_data) {
          extra_data = json.extra_data;
        };
        content=content.replace(/&nbsp;/g,"");
        content = '<p>'+content.replace(/\n/g,'</p><p>')+'</p>';
        content = content.replace(/\s+/g, "");
        $('#title').html(json.title);
        $('#content').html(content);
        window.scroll(0,height);
        //加载目录
        if (unLoadChapterList) {
         NovelTransInvoker.loadChapterList('FrontPageAPI.loadChapterList');
       }

     }else{
      toast(json.status,2000);
    }
  },
  //加载下一章
  loadNextChapter:function(){
    NovelTransInvoker.loadNextChapter( nextChapter,'FrontPageAPI.loadChapter');
  },
    //加载前一章
    loadPreChapter:function(){
      NovelTransInvoker.loadPreviousChapter( preChapter,'FrontPageAPI.loadChapter');
    },

    //加载目录
    loadChapterList:function(json){
      if(json.status==200){
        var tempList=json.chapterList;chapterList = [];
        $('#totalNumber').html("本书共"+json.totalChapterNumber+"章");
        for (var i=0;i<tempList.length;i++) {
          chapterList.push('<li ckey="'+tempList[i].ckey+'" index = "'+tempList[i].index+'"><a href="javascript:void(0)">'+tempList[i].name+'</a></li>');
        };
        $('#chapterList').append(chapterList.join(''));
        unLoadChapterList = false;
      }else{
        toast(json.status,2000);
      }
    },

    //设置、上下章节等控制条的展现与隐藏切换。若控制条存在，调用该方法隐藏控制条；若控制条隐藏，调用该方法展现控制条。
    controlBarToggle:function(){
      if($('#subnav').css('display')!='none'){
        controlBarHide();
      }else{
        controlBarShow();
      }
    },

    // App获取控制条展现状态
    getControlBarStatus:function(){
      return $('#subnav').css('display')!='none'?'show':'hide';
    },

    //背景颜色、字体初始化
    intialSetting:function(conf){
      var json;
      if (conf) {
        var json = JSON.parse(conf);
      }else{
        return;
      };
      var theme_index = json.bgColor;
      var fontSize = json.fontSize;
      if(fontSize){
        $('#font_size').text(fontSize);
        $('#main').css('font-size',parseInt(fontSize));
      }

      if(theme_index!=undefined) {
        $('body').attr('class',themes[theme_index]);
        $('#theme>div>a').removeClass('themebox-cur');
        $('#theme>div').removeClass('selected');
        $('#theme>div').eq(theme_index).children().addClass('themebox-cur');
        $('#theme>div').eq(theme_index).addClass('selected');
        tempColor = themes[theme_index];
      }
    },

    //app获取滚动条滚动的高度
    getScrollTop:function(){
      return parseInt(document.body.scrollTop);
    },
    
    //设置滚动条滚动高度
    setScrollTop:function(height){
      window.scroll(0,height);
    },
    //app获取extra字段
    getExtraData:function(){          
      NovelTransInvoker.onReceiveExtraData(extra_data);        
    },

  };
  
  window.FrontPageAPI = FrontPageAPI;
  
  //冒泡提示
  window.toast=function(tip,intVal){
      intVal = intVal || 2500;
      if($('#abs-toast').length==0){
        $('body').prepend('<div id="abs-toast" style="display: none;width:206px;text-align: center;border-radius: 2px;background-color: rgba(0, 0, 0, 0.48);position: fixed;top: 220px;left: 50%;line-height: 28px;margin: 0 0 0 -103px;color: #fff;padding: 5px;z-index: 999;"></div>');
      }
      var $toast = $('#abs-toast');
      if($toast.css('display')!='none')
        return;
      $toast.html(tip);
      $toast.show();
      setTimeout(function(){
        $toast.hide();
      },intVal);
    };

  })(window)